Microsoft.Build.Engine 2.0.0.0 System.Exception To be added.

This exception is thrown whenever there is a problem with the user's XML project file. The problem might be semantic or syntactical. If the problem is in the syntax, it can typically be caught by XSD validation.

- Constructor
  To be added.

  Initializes a new instance of class.

  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of class using the specified message.

  The error message that explains the reason for the exception.
  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of class using the specified error message and inner exception.

  The error message that explains the reason for the exception.
  The exception that is the cause of the current excpetion. If the parameter is not a null reference (Nothing in vbprvb), the current exception is raised in a catch block that handles the inner exception.
  2.0.0.0
- Constructor

  This constructor is preferred over the basic constructors.

  Initializes a new instance of class using rich error information.

  The XML node where the error is located. Can be null.
  The error message text for the exception.
  A description for the error. This parameter can be a null reference (Nothing in vbprvb).
  The error code. This parameter can be a null reference (Nothing).
  The F1-help keyword for the host IDE. Can be null.
  2.0.0.0
- Constructor

  This constructor is preferred over the basic constructors.

  Initializes a new instance of class using rich error information.

  The invalid project file. Can be an empty string.
  The invalid line number in the project. Set to zero if not available.
  The invalid column number in the project. Set to zero if not available.
  The end of a range of invalid lines in the project. Set to zero if not available.
  The end of a range of invalid columns in the project. Set to zero if not available.
  The error message text for the exception.
  The description of the error. This parameter can be a null reference (Nothing in vbprvb).
  The error code. This parameter can be a null reference (Nothing).
  The F1-help keyword for the host IDE. This parameter can be a null reference (Nothing).
  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the exception message, not including the project file.

  2.0.0.0
- Property
  System.Int32 To be added. To be added.

  Gets the invalid column number, if any, in the project.

  2.0.0.0
- Property
  System.Int32 To be added. To be added.

  Gets the last column number, if any, of a range of invalid columns in the project.

  2.0.0.0
- Property
  System.Int32 To be added. To be added.

  Gets the last line number, if any, of a range of invalid lines in the project.

  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the error code, if any, associated with the exception message.

  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the error sub-category, if any that describes the type of this error.

  2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Sets the with information about the exception.

  The that holds the serialized object data about the exception being thrown. The that contains contextual information about the source or destination.
- Property
  System.String To be added. To be added.

  Gets the F1-help keyword, if any, associated with this error, for the host IDE.

  2.0.0.0
- Property
  System.Int32 To be added. To be added.

  Gets the invalid line number, if any, in the project.

  2.0.0.0
- Property
  2.0.0.0
  System.String To be added. To be added.

  Gets the exception message, including the affected project file, if any.

- Property
  System.String To be added. To be added.

  Gets the project file, if any, associated with this exception.

  2.0.0.0